QGIS Application - Bug report #7298
Intersect strange results
2013-03-09 12:16 PM - Stephane Goldstein

Status: Closed

Priority: Severe/Regression

Assignee:

Category: Processing/QGIS

Affected QGIS version:master Regression?:

Operating System: Windows Easy fix?:

Pull Request or Patch supplied: Resolution:

Crashes QGIS or corrupls data: Copied to github as #: 16300
Description

Hi.

| was intersecting lines with polygons and was getting strange results.

| used the exact same procedure in QGIS 1.8 and in QGIS 1.9

It works perfectly in 1.8.

In QGIS 1.9 the lines are splitted, but some of them don't take the attributes from the right polygon.

Here on QGIS 1.8: http://tinypic.com/r/3586grd/6

Here on QGIS 1.9: http://tinypic.com/r/swbmvo/6

The files used and the results are attached.

Associated revisions

Revision 6088fd71 - 2013-07-11 08:20 AM - Minoru Akagi

fTools: fix geoprocessing (fix #7298)

History

#1 - 2013-07-13 06:36 PM - Minoru Akagi

I'm sorry. | had forgotten to put a link.
There is a pull request to fix this issue: https:/github.com/qgis/Quantum-GlIS/pull/713

#2 - 2013-07-13 09:10 PM - Minoru Akagi
- Status changed from Open to Closed

Fixed in changeset commit:"6088fd713e146f5d760f8c9d41d58eff11af7a79".

#3 - 2017-05-01 01:22 AM - Giovanni Manghi
http://tinypic.com/r/3586grd/6
http://tinypic.com/r/swbmvo/6
https://github.com/qgis/Quantum-GIS/pull/713

The "ftools" category is being removed from the tracker, changing the category of this ticket to "Processing/QGIS" to not leave the category orphaned.

Files

intersct_qgis_1.9_bug.zip 91.4 KB 2013-03-09 Stephane Goldstein
